> # NAME

> cgCopyProgram - make a copy of a program object

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGprogram cgCopyProgram( CGprogram program );

> # PARAMETERS

> program

>   The program object to copy.

> # RETURN VALUES

> Returns a copy of program on success.

> Returns NULL if program is invalid or the copy fails.

> # DESCRIPTION

> cgCopyProgram creates a new program object that is a copy of program and adds it to the same context as program. cgCopyProgram is useful for creating a new instance of a program whose parameter properties have been modified by the run-time API.

> # EXAMPLES

>       CGprogram programCopy = cgCopyProgram(program);

> # ERRORS

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> # HISTORY

> cgCopyProgram was introduced in Cg 1.1.

> cgCopyProgram is operational as of Cg 3.0.

> # SEE ALSO

> cgCreateProgram, cgDestroyProgram